| GET | /RestApi/apiservice/services/{Route}/{UrlName} |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| UrlName | path | string | No | |
| Route | path | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Name | form | string | No | |
| Route | form | string | No | |
| UrlName | form | string | No | |
| Enabled | form | bool | No | |
| Access | form | string | No | |
| ApiKey | form | string | No | |
| AccessControlAllowOrigin | form | string | No | |
| AutogenerateTypes | form | bool | No | |
| Types | form | IEnumerable<ContentsProxy> | No | |
| Protocol | form | string | No | |
| ErrorMessage | form | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Name | form | string | No | |
| ReadOnly | form | bool | No | |
| UrlKey | form | string | No | |
| ClrType | form | string | No | |
| Access | form | string | No | |
| Properties | form | IEnumerable<PropertiesProxy> | No | |
| Children | form | IEnumerable<ContentsProxy> | No | |
| AutogenerateProperties | form | bool | No | |
| parentId | form | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Name | form | string | No | |
| PropertyType | form | string | No | |
| IsPersistent | form | bool | No | |
| AllowSort | form | bool | No | |
| AllowFilter | form | bool | No | |
| IsKey | form | bool | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/apiservice/services/{Route}/{UrlName} HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
"Name": "String",
"Route": "String",
"UrlName": "String",
"Enabled": false,
"Access": "String",
"ApiKey": "String",
"AccessControlAllowOrigin": "String",
"AutogenerateTypes": false,
"Types": null,
"Protocol": "String",
"ErrorMessage": "String"
}